This endpoint allows you to subscribe to tracking updates for a specific parcel. It provides detailed information about the parcel’s status, ensuring that it can be tracked throughout its journey.
Security
ClientCredentialsFlow(Required scopes: read)
- Production Environmenthttps://data-solutions-v2.bettermile.com/sm/api/v2/parcel-tracking-subscribe
curl -i -X POST \
https://data-solutions-v2.bettermile.com/sm/api/v2/parcel-tracking-subscribe \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"parcelNumber": "string",
"tenantId": "string"
}'Response
{ "parcelNumber": "string", "tenantId": "string", "status": { "position": { … }, "etaTimestampMin": "2022-01-15T14:15:00Z", "etaTimestampMax": "2022-01-15T14:45:00Z", "remainingStops": 0, "type": "OUT_FOR_DELIVERY" }, "statusType": "NO_ETA_INFORMATION" }